Package htsjdk.samtools.util.htsget

# Enum Class HtsgetClass

java.lang.Object
java.lang.Enum<HtsgetClass>
htsjdk.samtools.util.htsget.HtsgetClass

All Implemented Interfaces:
  `Serializable`, `Comparable<HtsgetClass>`, `Constable`

public enum HtsgetClass extends Enum<HtsgetClass>
Classes of data that can be requested in an htsget request as defined by the spec

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`body`
`header`

## Method Summary

Modifier and Type
Method
Description
`static HtsgetClass`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HtsgetClass[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### body

public static final HtsgetClass body

### header

public static final HtsgetClass header

## Method Details

### values

public static HtsgetClass[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HtsgetClass valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null